Summary:	A GNU archiving program
Name:		cpio
Version:	2.14
Release:	2%{?dist}
License:	GPLv3+
URL:		https://www.gnu.org/software/cpio/
Source0:	https://ftp.gnu.org/gnu/cpio/cpio-%{version}.tar.bz2


BuildRequires:	gcc make texinfo autoconf automake gettext gettext-devel rmt
Provides: 	bundled(gnulib) bundled(paxutils) /bin/cpio

%description
GNU cpio copies files into or out of a cpio or tar archive.  Archives
are files which contain a collection of other files plus information
about them, such as their file name, owner, timestamps, and access
permissions.  The archive can be another file on the disk, a magnetic
tape, or a pipe.  GNU cpio supports the following archive formats:  binary,
old ASCII, new ASCII, crc, HPUX binary, HPUX old ASCII, old tar and POSIX.1
tar.  By default, cpio creates binary format archives, so that they are
compatible with older cpio programs.  When it is extracting files from
archives, cpio automatically recognizes which kind of archive it is reading
and can read archives created on machines with a different byte-order.

Install cpio if you need a program to manage file archives.

%prep
%autosetup -n %{name}-%{version} -p1

%build
autoreconf -fi
%configure --with-rmt="%{_sysconfdir}/rmt"
%make_build

%install
%make_install
rm -f $RPM_BUILD_ROOT%{_libexecdir}/rmt
rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%find_lang %{name}

%check
make check

%files -f %{name}.lang
%license COPYING
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%{_bindir}/*
%{_mandir}/man*/*
%{_infodir}/*.info*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.14-2
- Rebuilt for loongarch release

* Thu Jan 11 2024 rockerzhu <rockerzhu@tencent.com> - 2.14-1
- Upgrade to 2.14

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.13-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.13-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.13-2
- Rebuilt for OpenCloudOS Stream 23

* Sun Apr 24 2022 Songqiao Tao <joeytao@tencent.com> - 2.13-1
- initial build
